## org.apache.lucene.analysis.cjk
Class CJKTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.cjk.CJKTokenizerFactory

Deprecated. Use `CJKBigramFilterFactory` instead.

    @Deprecated
    public class CJKTokenizerFactory

extends TokenizerFactory

Factory for `CJKTokenizer`.

     <fieldType name="text_cjk" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.CJKTokenizerFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`CJKTokenizerFactory()` Deprecated.

Method Summary
`CJKTokenizer` `create(Reader in)` Deprecated. Creates a TokenStream of the specified input

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CJKTokenizerFactory

    public CJKTokenizerFactory()

  Deprecated.

Method Detail

### create

    public CJKTokenizer create(Reader in)

  Deprecated.
  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.